org.apache.lucene.spatial3d.geom

## Class GeoBaseShape

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.BasePlanetObject
  - - org.apache.lucene.spatial3d.geom.GeoBaseShape

- All Implemented Interfaces:
    Bounded, GeoShape, Membership, PlanetObject, SerializableObject
  Direct Known Subclasses:
    GeoBaseMembershipShape

      public abstract class GeoBaseShape
      extends BasePlanetObject
      implements GeoShape

  Base extended shape object.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

      `planetModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoBaseShape(PlanetModel planetModel)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getBounds(Bounds bounds)` Compute bounds for the shape.

    - ### Methods inherited from class org.apache.lucene.spatial3d.geom.BasePlanetObject

      `equals, getPlanetModel, hashCode, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

      `getEdgePoints, intersects`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

      `getPlanetModel`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `readBitSet, readBoolean, readByteArray, readClass, readDouble, readHeterogeneousArray, readHomogeneousArray, readInt, readLong, readObject, readObject, readObject, readObject, readPlanetObject, readPointArray, readPolygonArray, readString, write, writeBitSet, writeBoolean, writeByteArray, writeClass, writeDouble, writeHeterogeneousArray, writeHeterogeneousArray, writeHomogeneousArray, writeHomogeneousArray, writeInt, writeLong, writeObject, writePlanetObject, writePointArray, writePointArray, writePolygonArray, writePolygonArray, writeString`

- - ### Constructor Detail

    - #### GeoBaseShape

          public GeoBaseShape(PlanetModel planetModel)

      Constructor.
      Parameters:
        `planetModel` - is the planet model to use.

  - ### Method Detail

    - #### getBounds

          public void getBounds(Bounds bounds)

      Description copied from interface: `Bounded`
      Compute bounds for the shape.
      Specified by:
        `getBounds` in interface `Bounded`
      Parameters:
        `bounds` - is the input bounds object. The input object will be modified.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.